GetIntegration
Retrieves information about an integration.
Request Syntax
POST /GetIntegration HTTP/1.1
Content-type: application/json
{
"integrationId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- integrationId
-
The unique identifier of the integration to retrieve.
Type: String
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"displayName": "string",
"installationId": "string",
"integrationId": "string",
"kmsKeyId": "string",
"provider": "string",
"providerType": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- displayName
-
The display name of the integration.
Type: String
- installationId
-
The installation identifier from the integration provider.
Type: String
- integrationId
-
The unique identifier of the integration.
Type: String
- kmsKeyId
-
The identifier of the AWS KMS key used to encrypt data associated with the integration.
Type: String
- provider
-
The integration provider.
Type: String
Valid Values:
GITHUB - providerType
-
The type of the integration provider.
Type: String
Valid Values:
SOURCE_CODE | DOCUMENTATION
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
An unexpected error occurred during the processing of your request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: